/* 
   $Id: nnmclass.h,v 1.4 2001/09/07 02:43:09 kondoh Exp $

   Copyright (C) 2001 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of Nunome.

   Nunome is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Nunome is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Nunome; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

typedef struct _NunomeRec      *NunomeWidget;
typedef struct _NunomeClassRec *NunomeClassWidget;

#include <X11/IntrinsicP.h>
#include <X11/CoreP.h>

typedef struct { 
  XtPointer callback;
  String  jserver;
  String  wnnenvrc;
  String  dictionary;
  String  user_dictionary;
  Boolean nolearn;
  Boolean popup;
  Boolean writeSample;
  int     timeout;
} NunomePart;

typedef struct _NunomeRec {
  CorePart   core;
  NunomePart nunome;
}NunomeRec;

typedef struct{ 
  int dummy;
} NunomeClassPart;

typedef struct _NunomeClassRec {
  CoreClassPart    core_class;
  NunomeClassPart  nnm_class;
} NunomeClassRec;
